> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# List merge fields

GET https://api.mailchimp.com/3.0/lists/{list_id}/merge-fields

Get a list of all merge fields for an audience.

Reference: https://mailchimp.com/developer/marketing/api/lists/list-merge-fields

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `list_id` (string, required) — The unique ID for the list.

### Query parameters

- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
- `count` (integer, optional, default: 10) — The number of records to return. Default value is 10. Maximum value is 1000
- `offset` (integer, optional, default: 0) — Used for [pagination](https://mailchimp.com/developer/marketing/docs/methods-parameters/#pagination), this is the number of records from a collection to skip. Default value is 0.
- `type` (string, optional) — The merge field type.
- `required` (boolean, optional) — Whether it's a required merge field.

## Response

### 200

- `_links` (list of 30ListsListIdMergeFieldsGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `list_id` (string, optional) — The list id.
- `merge_field_limit` (integer, optional) — The maximum number of merge fields this audience can hold. The limit is determined by the account's plan. Subtract `total_items` from this value to derive the remaining capacity.
- `merge_fields` (list of MergeField, optional) — An array of objects, each representing a merge field resource.
- `total_items` (integer, optional) — The total number of items matching the query regardless of pagination.

## Types

### 30ListsListIdMergeFieldsGetResponsesContentApplicationJsonSchemaLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### MergeField

A [merge field](https://mailchimp.com/developer/marketing/docs/merge-fields/) for an audience.

- `_links` (list of MergeFieldLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `default_value` (string, optional) — The default value for the merge field if `null`.
- `display_order` (integer, optional) — The order that the merge field displays on the list signup form.
- `help_text` (string, optional) — Extra text to help the subscriber fill out the form.
- `list_id` (string, optional) — The ID that identifies this merge field's audience'.
- `merge_field_limit` (integer, optional) — The maximum number of merge fields this audience can hold. The limit is determined by the account's plan. Returned on POST responses only. Subtract `total_items` from this value to derive the remaining capacity.
- `merge_id` (integer, optional) — An unchanging id for the merge field.
- `name` (string, optional) — The name of the merge field (audience field).
- `options` (MergeFieldOptions, optional) — Extra options for some merge field types.
- `public` (boolean, optional) — Whether the merge field is displayed on the signup form.
- `required` (boolean, optional) — The boolean value if the merge field is required.
- `tag` (string, optional) — The merge tag used for Mailchimp campaigns and [adding contact information](https://mailchimp.com/developer/marketing/docs/merge-fields/#add-merge-data-to-contacts).
- `total_items` (integer, optional) — The total number of merge fields on the audience after this field was created. Returned on POST responses only.
- `type` (enum, optional) — The [type](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for the merge field.
  - Allowed values: `text`, `number`, `address`, `phone`, `date`, `url`, `imageurl`, `radio`, `dropdown`, `birthday`, `zip`

### MergeFieldLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### MergeFieldOptions

Extra options for some merge field types.

- `choices` (list of string, optional) — In a radio or dropdown non-group field, the available options for contacts to pick from.
- `date_format` (string, optional) — In a date or birthday field, the format of the date.
- `default_country` (integer, optional) — In an address field, the default country code if none supplied.
- `phone_format` (string, optional) — In a phone field, the phone number type: US or International.
- `size` (integer, optional) — In a text field, the default length of the text field.

## Examples

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "list_id": "string",
  "merge_field_limit": 30,
  "merge_fields": [
    {
      "_links": [
        {
          "href": "string",
          "method": "GET",
          "rel": "string",
          "schema": "string",
          "targetSchema": "string"
        }
      ],
      "default_value": "string",
      "display_order": 1,
      "help_text": "string",
      "list_id": "string",
      "merge_field_limit": 30,
      "merge_id": 1,
      "name": "string",
      "options": {
        "choices": [
          "First Choice",
          "Second Choice",
          "Third Choice"
        ],
        "date_format": "string",
        "default_country": 1,
        "phone_format": "string",
        "size": 1
      },
      "public": true,
      "required": true,
      "tag": "string",
      "total_items": 28,
      "type": "text"
    }
  ],
  "total_items": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/lists/list_id/merge-fields"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/lists/list_id/merge-fields';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/lists/list_id/merge-fields"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/lists/list_id/merge-fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/lists/list_id/merge-fields")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/lists/list_id/merge-fields', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/lists/list_id/merge-fields");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/lists/list_id/merge-fields")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```